require 'tempfile'
require 'vimput/version'
require 'vimput/editor_command'
require 'vimput/input'

module Vimput
  def self.gets(editor: nil, command: nil)
    tempfile = Tempfile.new('vimput')
    begin
      system(EditorCommand.new(editor: editor, command: command).text, tempfile.path)
      Input.new(tempfile.path).value
    ensure
      tempfile.close
      tempfile.unlink
    end
  end
end
